"""Utilitaires pour les tests de l'API
"""


def verify_fields(json_response: dict, fields: set) -> bool:
    """
    Vérifie si les champs attendu de la réponse json sont présents

    json_response : la réponse de la requête
    fields : ensemble des champs à vérifier

    Retourne True ou False
    """
    for field in json_response:
        if field not in fields:
            return False
    return True
